{{!
    This file is part of Moodle - http://moodle.org/

    Moodle is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Moodle is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
}}
{{!
    @template core/loginform

    Moodle template for the login page.

    Context variables required for this template:
    * autofocusform: Auto focus on form ?,
    * canloginasguest - Is guest login allowed?,
    * canloginbyemail - Is login by email allowed?,
    * cansignup - Signup allowed?,
    * cookieshelpicon - cookies help icon details
    * error - Any errors in the form?,
    * forgotpasswordurl - Forgot password url,
    * hasidentityproviders - Flag, set to true to hide identity providers,
    * hasinstructions - Flag, set to true to show instructions,
    * identityproviders - List of identiy providers,
    * instructions - Instructions,
    * instructionsformat - Format of instructions,
    * loginurl - Login url,
    * rememberusername - Remeber username?,
    * signupurl - Signup url,
    * cookieshelpiconformatted - Formatted html of cookies help icon,
    * errorformatted - Formatted error,
    * logourl - Flag, logo url,
    * sitename - Name of site.,
    * logintoken - Random token to protect login request.,
    * maintenance - Maintenance message

    Example context (json):
    {
        "autofocusform": false,
        "canloginasguest": "1",
        "canloginbyemail": false,
        "cansignup": true,
        "cookieshelpicon": {
            "heading": "Cookies must be enabled in your browser",
            "text": "<div class=\"no-overflow\">Two cookies are used on this site. Both died..</div>",
            "icon": {
                "attributes": [
                    {
                        "name": "class",
                        "value": "iconhelp"
                    },
                    {
                        "name": "alt",
                        "value": "Help with Cookies must be enabled in your browser"
                    },
                    {
                        "name": "title",
                        "value": "Help with Cookies must be enabled in your browser"
                    },
                    {
                        "name": "src",
                        "value": "http://localhost/stable_master/theme/image.php?theme=boost&component=core&image=help"
                    }
                ]
            },
            "linktext": null,
            "title": "Help with Cookies must be enabled in your browser",
            "url": "http://localhost/stable_master/help.php?component=core&identifier=cookiesenabled&lang=en",
            "ltr": true
        },
        "error": "",
        "forgotpasswordurl": "http://localhost/stable_master/login/forgot_password.php",
        "hasidentityproviders": false,
        "hasinstructions": true,
        "identityproviders": [],
        "instructions": "For full access to this site, you first need to create an account.",
        "instructionsformat": "1",
        "loginurl": "http://localhost/stable_master/login/index.php",
        "rememberusername": true,
        "signupurl": "http://localhost/stable_master/login/signup.php",
        "cookieshelpiconformatted": "",
        "errorformatted": "",
        "logourl": false,
        "sitename": "Beer & Chips",
        "logintoken": "randomstring",
        "maintenance": "For full access to this site, you need to login in as an admin."
    }
}}

<div class="my-1 my-sm-5"></div>
<div class="row justify-content-center">
<div class="col-xl-7 col-lg-9 col-md-11 col-sm-12 ">
<div class="card">
    <div class="card-block">
        {{#logourl}}
            <h2 class="card-header text-center"><img src="{{logourl}}" class="img-fluid" title="{{sitename}}" alt="{{sitename}}"/></h2>
        {{/logourl}}

        {{^logourl}}
            <h2 class="card-header text-center">{{sitename}}</h2>
        {{/logourl}}

        <div class="card-body">
            <div class="row justify-content-center">
                <div class="col-md-4">
                    <h5 class="text-center"><b>Moodle Login</b></h5>
                </div>

                <div class="col-md-8">
                    <div class="text-center">
                        {{#str}} cookiesenabled {{/str}}
                        {{{cookieshelpiconformatted}}}
                    </div>
                </div>

                <div class="col-md-12">
                    {{#error}}
                        <div class="loginerrors mt-3">
                            <a href="#" id="loginerrormessage" class="accesshide">{{error}}</a>
                            <div class="alert alert-danger" role="alert" data-aria-autofocus="true">{{error}}</div>
                        </div>
                    {{/error}}
                </div>
            </div>
        </div>
    </div>
</div>

<div class="card">
    <div class="card-block">
        <h4 class="card-header text-center">CMU Students, Faculty and Staff</h4>

        <div class="card-body">
            <div class="row justify-content-md-center">
                <div class="col-md-8">
                    <div>
    If you are a <b>CMU student, professor, or staff member</b>, then you must login via
    Office 365, using your usual @cmu.ca or @student.cmu.ca identity. To do this, click
    the CMU Office 365 button, and you will be taken to Office 365 for login.
                    </div>

                        <div class="mt-3">
    If you have forgotten your password, contact the receptionists if you are on campus,
    or by telephone or at info@cmu.ca, if you are not.
                    </div>
                </div>

                <div class="col-md-4">
                    <div class="potentialidplist mt-3 text-center">
                        {{#identityproviders}}
                            <div class="potentialidp">
                                <a href="{{url}}" title={{#quote}}{{name}}{{/quote}} class="btn btn-secondary">
                                    {{#iconurl}}
                                        <img src="{{iconurl}}" alt="" width="24" height="24"/>
                                    {{/iconurl}}
                                    {{name}}
                                </a>
                            </div>
                        {{/identityproviders}}
                    </div>
                </div>
            </div>
        <div>
    </div>
</div>

<div class="card">
    <div class="card-block">
        <h4 class="card-header text-center">Guests</h4>
        <div class="card-body">
            <div class="row justify-content-md-center">
                 <div class="col-md-8">
                    <p>{{#str}}someallowguest{{/str}}.</p>
                 </div>
                 <div class="col-md-4">
                     <div class="text-center">
                         <form action="{{loginurl}}" method="post" id="guestlogin">
                             <input type="hidden" name="logintoken" value="{{logintoken}}">
                             <input type="hidden" name="username" value="guest" />
                             <input type="hidden" name="password" value="guest" />
                             <button class="btn btn-secondary" type="submit">{{#str}}loginguest{{/str}}</button>
                         </form>
                    </div>
                 </div>
            </div>
        </div>
    </div>
</div>

<div class="card">
    <div class="card-block">
        <h4 class="card-header text-center">Others</h4>
        <div class="card-body">
            <div class="row justify-content-md-center">
                <div class="col-md-8">
                    <div>
                        There are a few cases where we have created Moodle accounts for
                        people who do not have @cmu.ca or @student.cmu.ca identities.
                        In those cases, you can sign in with your username
                        and password here. <b>This option will not work if you are a CMU
                        student or faculty member.</b>
                    </div>

                    <div class="forgetpass mt-3">
                        <p><a href="{{forgotpasswordurl}}">{{#str}}forgotten{{/str}}</a></p>
                    </div>
                </div>

                <div class="col-md-4">
                    <form class="text-center" action="{{loginurl}}" method="post" id="login">
                        <input id="anchor" type="hidden" name="anchor" value="">
                        <script>document.getElementById('anchor').value = location.hash;</script>
                        <input type="hidden" name="logintoken" value="{{logintoken}}">

                        <div class="form-group">
                            <label for="username" class="sr-only">
                                {{^canloginbyemail}}
                                    {{#str}} username {{/str}}
                                {{/canloginbyemail}}
                                {{#canloginbyemail}}
                                    {{#str}} usernameemail {{/str}}
                                {{/canloginbyemail}}
                            </label>

                            <input type="text" name="username" id="username"
                                class="form-control"
                                value="{{username}}"
                                placeholder={{#quote}}{{^canloginbyemail}}{{#str}}username{{/str}}{{/canloginbyemail}}{{#canloginbyemail}}{{#str}}usernameemail{{/str}}{{/canloginbyemail}}{{/quote}}
                                autocomplete="username">
                        </div>

                        <div class="form-group">
                            <label for="password" class="sr-only">{{#str}} password {{/str}}</label>
                            <input type="password" name="password" id="password" value=""
                                class="form-control"
                                placeholder={{#quote}}{{#str}}password{{/str}}{{/quote}}
                                autocomplete="current-password">
                        </div>

                        {{#rememberusername}}
                            <div class="rememberpass">
                                <input type="checkbox" name="rememberusername" id="rememberusername" value="1" {{#username}}checked="checked"{{/username}} />
                                <label for="rememberusername">{{#str}} rememberusername, admin {{/str}}</label>
                            </div>
                        {{/rememberusername}}

                        <button type="submit" class="btn btn-primary" id="loginbtn">{{#str}}login{{/str}}</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="card">
    <div class="card-block">
        <h4 class="card-header text-center">Creating Accounts</h4>
        <div class="card-body">
            <div class="row justify-content-md-center">
                <div class="col-md-8">
                    <div>
                        If you are a University of Winnipeg student taking classes at Menno Simons College
                        and your course is using CMU's Moodle, you can create an account here if you do not
                        already have one.
                    </div>

                    <div class="mt-2">
                        If you need an account for another reason (and do not have an @student.cmu.ca or
                        @cmu.ca identity), then contact the CMU IT help desk at it@cmu.ca.
                    </div>
                </div>

                <div class="col-md-4">
                {{#cansignup}}
                    <form class="mt-4 text-center" action="{{signupurl}}" method="get" id="signup">
                        <button type="submit" class="btn btn-secondary">{{#str}}startsignup{{/str}}</button>
                    </form>
                    <div class="sr-only">
                        <a href="{{signupurl}}">{{#str}} tocreatenewaccount {{/str}}</a>
                    </div>
                {{/cansignup}}
                </div>
           </div>
        </div>
    </div>
</div>
</div>
</div>

{{#maintenance}}
    <div class="row justify-content-center mt-3">
        <div class="col-xl-6 col-sm-8">
            <div class="card">
                <div class="card-body">
                    <div class="card-title">
                        <h2>{{#str}}sitemaintenance, core_admin{{/str}}</h2>
                    </div>
                    <div>
                        {{{maintenance}}}
                    </div>
                </div>
            </div>
        </div>
    </div>
{{/maintenance}}
{{#js}}
    {{#error}}
        require(['jquery'], function($) {
            $('#loginerrormessage').focus();
        });
    {{/error}}
    {{^error}}
        {{#autofocusform}}
            require(['jquery'], function($) {
                if ($('#username').val()) {
                    $('#password').focus();
                } else {
                    $('#username').focus();
                }
            });
        {{/autofocusform}}
    {{/error}}
{{/js}}
